#include <AppKit/NSButton.h>
#include <AppKit/NSWindow.h>
#include <AppKit/NSDragging.h>

@interface TitleBarFileIcon : NSButton

@end

@implementation TitleBarFileIcon 
-(void)mouseDown:(NSEvent *)event
{
  [self dragFile:[[self window] representedFilename]
        fromRect:NSMakeRect([event  locationInWindow].x,
	                    [event locationInWindow].y,
			    32,
			    32)
       slideBack:YES
           event:event];
}

-(NSDragOperation)draggingSourceOperationMaskForLocal:(BOOL)flag
{
  return NSDragOperationCopy | NSDragOperationLink;
}

@end
